class StringClass
{
public:
	char *c;
};

class WideStringClass
{
public:
	wchar_t *w;
};

typedef void (*_SerialHook)(int, const char *);
typedef void (*_LoadingEHook)(int, bool);
typedef bool (*_DamageHook)(int, int, int, float, unsigned int);
typedef bool (*_ChatHook)(int, int, WideStringClass &, int);
typedef void (*_PingHook)(int, int);
typedef bool (*_SuicideHook)(int);
typedef bool (*_RadioHook)(int, int, int, int, int);
typedef void (*_ThinkHook)();



void Start();

bool WriteMemory(LPVOID Address, const void* Buffer, int Size);
bool ReadMemory(LPVOID Address, void* Buffer, int Size);